//  main: main.less, out: ../style.css

// ====================================================================================================================================
// COMPONENTS
// ====================================================================================================================================
// stili generici
.block {
    &.invisible {
        display: none;
    }
}

.acf-custom-widget {
    position: fixed;
    bottom: @margin__s;
    right: @margin__s;
    width: 300px;
    min-height: 180px;
    padding: 15px 30px 15px 20px;
    margin: 0;
    background-color: @color__widget;
    border-bottom-left-radius: @margin__s;
    color: @color__white;
    z-index: 99;
    .u-flex-display;
    .u-flex-direction(column);
    .u-align-items(space-between);
    .transition-elastic--long;
    visibility: hidden;
    opacity: 0;
    
    &.isVisible {
        visibility: visible;
        opacity: 1;
    }

    .c-customarea {
        font-size: @size__l;
        font-weight: @font_w__b;
        text-transform: uppercase;
    }

    .subtitle {
        font-size: @size__r;
        font-weight: @font_w__b;
        margin: 10px 0 5px;
    }

    .text {
        margin: 5px 0;
    }

    .links {
        .u-flex-display;
        .u-justify-content(space-between);
        width: 100%;
        margin-top: @margin__s;
        a{
            color: @color__white;
            font-weight: @font_w__b;
            text-decoration: underline;
        }
    }
    
    .widget_close {
        position: absolute;
        top: 20px;
        right: 20px;
        height: 12px;
        width: 12px;
        background-image: url('./images/icon-close.svg');
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        cursor: pointer;
    }

    @media @media_smartphone {
        left: @margin__s/2;
        right: @margin__s/2;
        bottom: @margin__s/2;
        padding: 10px 10px 15px 15px;
        width: initial;
        .links {
            margin-top: @margin__s/2;
        }
    }
}

// Parapgraph
.c-paragraph {
    margin: @margin__m*2 auto;
    max-width: 1920px;
    @media @media_landascape, @media_tablet {
        .inner {
            padding: 0 @margin__m;
        }
    }
    @media @media_smartphone {
        margin: @margin__m auto;
        .inner {
            padding: 0 @margin__s;
        }
    }
}

// Parapgraph with two columns
.c-paragraph__columns {
    padding: @margin__m;
    .u-list-style;
    .inner {
        .u-flex-display;
        .u-justify-content(space-between);
    }

    .c-paragraph__column {
        width: 48%;
    }

    @media @media_tablet,
    @media_smartphone {
        .inner {
            display: block;
            padding: 0;
        }

        .c-paragraph__column {
            width: 100%;
        }
    }

    @media @media_smartphone {
        padding: @margin__s;
    }
}

// Paragraph with IMAGE
.c-paragraph__withImage {
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(center);

    &.reverse {
        .u-flex-direction(row-reverse);
    }

    &.fancybox {
        .l-container;

        .c-paragraph__content {
            width: 38%;
            margin-left: 0;
        }

        .c-paragraph__images {
            width: 60%;
            height: 35vw;
        }

        .c-paragraph__image {
            background-size: contain;
        }
    }

    @media @media_landascape,
    @media_desktop {
        &.fancybox {
            .c-paragraph__content {
                margin-left: @margin__m;
            }
        }

    }

    @media @media_smartphone,
    @media_tablet {
        .u-flex-direction(column);

        &.reverse {
            .u-flex-direction(column);
        }

        &.fancybox {
            padding: 0;

            .c-paragraph__content {
                width: 100%;
                margin-left: 20px;
            }

            .c-paragraph__images {
                width: 100%;
                height: 100vw;
                padding: 0 @margin__s;
            }
        }
    }
}

.c-paragraph__content {
    margin: 0 @margin__xl;
    //width: 48%;

    @media @media_landascape,
    @media_desktop {
        margin: @margin__m;
    }

    @media @media_smartphone {
        margin: 0;
        width: 100%;
        padding: 0 @margin__s;
    }

    @media @media_tablet {
        margin: 0;
        width: 100%;
        padding: 0 @margin__m;
    }
}

.c-paragraph__images {
    position: relative;
    max-width: 680px;
    width: 50%;
    height: 25vw;
    .u-flex-shrink(0);
    z-index: 0;
    
    &:after {
        position: absolute;
        content: '';
        display: block;
        height: 100%;
        width: 100%;
        left: -50%;
        top: 50%;
        position: absolute;
        background-image: url('./images/bg_flash-complete.jpg');
        background-size: auto;
        background-repeat: no-repeat;
        background-position: center;
        z-index: -1;
        opacity: .5;
        .u-transform(translateY(-50%));
    }

    @media @media_smartphone {
        max-width: initial;
        width: calc(100% ~"-"@margin__s*2);
        height: 220px;
        margin-top: @margin__m;
    }

    @media @media_tablet {
        max-width: initial;
        width: calc(100% ~"-"@margin__m*2);
        height: 340px;
        margin-top: @margin__m;
    }
}

.c-paragraph__image {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    width: 100%;
}

.c-paragraph__pager {
    position: absolute;
    z-index: 199;
    bottom: @margin__s/2;
    left: @margin__s;

    .pager {
        position: relative;
        display: inline-block;
        height: 15px;
        width: @margin__s;

        &:after {
            position: absolute;
            content: '';
            display: block;
            height: 8px;
            width: 8px;
            top: 2px;
            left: 2px;
            background-color: fade(@color__primary, 40%);
            .u-border-radius(100%);
        }

        &.isActive:after {
            background-color: @color__primary;
        }
    }
}

// Paragraph with SCHEME
.c-paragraph__withScheme {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto auto auto;
    grid-template-areas: "scheme scheme scheme scheme""col1 col1 col2 col2""link link link link";
    margin-top: @margin__xl*2;
    margin-bottom: @margin__xl*2;

    @media @media_landascape,
    @media_desktop {
        padding: 0 30px;
    }

    .scheme {
        grid-area: scheme;
        position: relative;
        margin-bottom: @margin__m;
        text-align: center;

        &:after {
            position: absolute;
            content: '';
            display: block;
            left: 0;
            right: 0;
            top: -200px;
            bottom: 0;
            background-image: url('./images/bg_flash-refine.jpg');
            background-size: auto;
            background-repeat: no-repeat;
            background-position: top center;
            opacity: .15;
            z-index: -1;
        }

        img {
            width: 100%;
            max-width: 1340px;
        }
    }

    .scheme_mobile {
        display: none;
    }

    .col1 {
        grid-area: col1;
        padding-right: @margin__l;
    }

    .col2 {
        grid-area: col2;
        padding-left: @margin__l;
    }

    .link {
        grid-area: link;
        justify-self: center;
        padding-top: @margin__s;
    }

    @media @media_smartphone {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto;
        grid-template-areas: "col1""scheme""col2""link";
        padding: 0;
        margin-top: @margin__l;
        margin-bottom: @margin__l;

        .scheme {
            grid-area: none;
            display: none;
        }

        .scheme_mobile {
            grid-area: scheme;
            display: block;
            margin-bottom: @margin__s;
            text-align: center;
        }

        .col1 {
            padding-right: 0;
            margin-bottom: @margin__s;
        }

        .col2 {
            padding-left: 0;
            margin-bottom: @margin__s;
        }

        .link {
            justify-self: flex-start;
        }

        .scheme_mobile,
        .col1,
        .col2,
        .link {
            padding: 0 @margin__s;
        }
    }

    @media @media_tablet {
        margin-top: @margin__l;
        margin-bottom: @margin__l;
        padding: 0 @margin__m;

        .scheme:after {
            display: none;
        }
    }
}

// News + Twitter
.c-homenews {
    position: relative;
    background-color: @color__white !important;
    color: @color__text;
    padding: @margin__m @margin__s;
    // margin-bottom: @margin__xl;

    .inner {
        .u-flex-display;
        .u-justify-content(space-between);
    }

    &:after {
        position: absolute;
        content: '';
        display: block;
        width: 100%;
        height: 400px;
        max-width: 1340px;
        left: 50%;
        top: 0;
        background-image: url('./images/bg_flash-refine.jpg');
        background-size: auto;
        background-repeat: no-repeat;
        background-position: center;
        opacity: .15;
        z-index: -1;
        .u-transform(translate(-50%, -50%));
    }

    .ctf-header-name {
        color: @color__primary;
    }
    
    @media @media_landascape,
    @media_desktop {
        padding: @margin__s 30px;
    }

    @media @media_smartphone,
    @media_tablet {
        padding: @margin__s 0;

        .inner {
            .u-flex-direction(column)
        }
    }

    @media @media_tablet {
        padding: @margin__s @margin__m;
    }

    @media @media_smartphone {
        margin-bottom: @margin__s;
    }
}

.c-homenews__news,
.c-homenews__twitter {
    width: calc(50% ~'-'@margin__s);

    @media @media_smartphone,
    @media_tablet {
        width: 100%;
        margin-top: @margin__s;
    }
}

.c-homenews__news {
    h3 {
        font-weight: @font_w__l;
        color: @color__secondary;
    }

    .c-homenews__item {
        display: block;
        background-color: fade(@color__secondary, 10%);
        border-radius: 0 0 0 20px;
        padding: 17px 40px 17px 30px;
        margin: @margin__s/2 0;
        background-image: url('./images/icon-arrow-right-blu.svg');
        background-repeat: no-repeat;
        background-position: center right @margin__s;
        background-size: auto;
        .transition-elastic--long;

        h2 {
            font-family: @font_base;
            font-size: @size__r;
            text-transform: uppercase;
            color: @color__primary;
            margin: 4px 0;
            line-height: @font_line_h__s;
        }

        .category,
        .date {
            font-family: @font_base;
            color: @color__secondary;
            font-weight: @font_w__r;
        }

        .category {
            text-decoration: underline;
        }

        &:hover {
            background-color: fade(@color__secondary, 15%);
        }
    }

    @media @media_smartphone {
        margin-bottom: @margin__m;

        h3 {
            font-size: @size__xl;
        }

        .c-homenews__item {
            padding: 10px 30px 10px 20px;
        }
    }
}

// Teasers
.home .c-teasers {
    margin: @margin__m*2 0;

    @media @media_smartphone, @media_tablet {
        margin: @margin__m 0;
    }
}

.c-teasers {
    margin: @margin__m 0;
    text-align: left;
    padding: 0 @margin__s;
    .u-list-style;

    &.center {
        text-align: center;
    }

    .inner {
        .u-flex-display;
        .u-justify-content(space-between);
    }
    img {
        margin: @margin__m 0;
    }


    @media @media_smartphone, @media_tablet {
        margin: @margin__m 0;
        padding: 0;

        .inner {
            .u-flex-direction(column);
        }
    }

    @media @media_tablet {
        padding: 0 30px;
    }
}

.c-teaser {
    width: calc(50% ~'-'@margin__s);
    background-color: fade(@color__secondary, 15%);
    border-bottom-left-radius: 20px;
    padding: 30px @margin__s*2;
    margin: 0 @margin__s;
    .u-flex-grow(1);
    .transition-default--long;

    p {
        margin: @margin__s auto 30px;
    }

    &.center {
        text-align: center;
    }

    &:hover {
        background-color: fade(@color__secondary, 30%);
    }

    @media @media_smartphone, @media_tablet {
        width: 100%;
        padding: @margin__s;
        margin: 0 0 @margin__s 0;

        p {
            margin: @margin__s auto;
        }
    }

    @media @media_tablet {
        padding: @margin__s;
    }
}

// Partners
.c-partners {
    margin-bottom: @margin__xl;
    padding: 0 40px;

    .inner {
        .u-flex-display;
        .u-flex-wrap(wrap);
    }

    @media @media_tablet {
        padding: 0 30px;
    }

    @media @media_smartphone {
        padding: 0;
        margin-bottom: @margin__l;
    }
}

.c-partner {
    position: relative;
    width: calc((100%/4) ~'-'@margin__s);
    height: 100/5vw;
    margin: @margin__s/2;
    background-color: @color__white;

    img {
        .u-transform(scale(.8));
        .transition-elastic;
        object-fit: contain;
    }

    &:hover {
        img {
            .u-transform(scale(.9));
        }
    }

    @media @media_smartphone {
        width: 100%;
        height: 200px;
        margin: @margin__s/2 0;

        img {
            .u-transform(scale(1));
        }
    }

    @media @media_tablet {
        width: calc((100%/3) ~'-'@margin__s);
        height: 100/4vw;
    }
}

//Image full width
.c-imageFullWidth {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 30vw;
    margin: @margin__xl auto;
}
